MONGOC_URI_GET_OPTION_AS_INT32(3)

NAME
mongoc_uri_get_option_as_int32 - mongoc_uri_get_option_as_int32()

SYNOPSIS

int32
mongoc_uri_get_option_as_int32 (const mongoc_uri_t *uri,
                                const char *option,
                                int32 fallback);

PARAMETERS

•   uri: A mongoc_uri_t.

•   option: The name of an option, case insensitive.

•   fallback: A default value to return.

DESCRIPTION

Returns the value of the URI option if it is set and of the correct type (int32). Returns fallback if the option is not set, set to an invalid type, or zero.

Zero is considered "unset", so URIs can be constructed like so, and still accept default values:

bson_strdup_printf ("mongodb://localhost/?connectTimeoutMS=%d", myvalue)

If myvalue is non-zero it is the connection timeout; if it is zero the driver uses the default timeout.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc